;   |_-_-_-_-_-_-_-_-_-_-_-_-_-_ |
;   $ Files speichern            $                                 
;   $(C) by Bluespeed            $
;   $ bluespeedde@yahoo.de       $
;   |_-_-_-_-_-_-_-_-_-_-_-_-_-_ |


;  Hallo und Willkommen zu einen weiteren Teil der PureBasic Tutorials. Heute mchte 
;  ich was zu Dateien (englisch: Files) sagen. Jeder von Euch kennt das, wenn man in 
;  einem Spiel einen HighScore hat. Dieser wird blicherweise in einer Datei 
;  gespeichert, Dateien sind auch fr Programme wichtige Elemente. Was wre ein
;  Text-Editor, der keine .txt Dateien speichern oder lesen kann? Was wre ein 
;  Malprogramm, das keine Bilder speichern kann? 
;  In PureBasic werden Dateien genauso leicht benutzt wie in BB.


If OpenFile(0,"C:\pbtutorial.txt")                                   ; Wir ffnen unter C:\pbtutorial eine .txt Datei.
                                                                     ; Die 0 ist die ID wie bei LoadMovie(0,movie).
 
   WriteStringN("Das ist ein Satz mit einen Zeilenumbruch am Ende")  ; Nun schreiben wir einen Satz mit einem
                                                                     ; Zeilenumbruch am Ende 

CloseFile(0)                                                         ; Wenn wir zu Ende geschrieben haben,
                                                                     ; schlieen wir die Datei pbtutorial.txt

Else                                                                 ; Anderenfalls:

   MessageRequester("Fehler","Konnte Datei nicht speichern",0)       ; Wenn irgendwas falsch luft, werden wir
                                                                     ; mit einer Fehlermeldung benachrichtigt.

EndIf                                                               ; Ende der Abfrage

; Wenn ihr nun C: ffnet und pbtutorial sucht, werdet ihr eine Text-Datei finden, wo 
; diese 2 Stze drin stehen.
; Na gut, dies ist nicht gerade sehr interessant, aber es sind die Grundlagen. Man
; knnte dieses Programm erweitern, so das es erst abfragt, wo gespeichert werden soll.
; Aber das knnt ihr ja mal versuchen. Nun wollen wir uns die einzelnen neuen Befehle
; ansehen.

; OpenFile(FileID,Ziel)  dieser Befehl ist dafr da, eine Datei zu ffnen. Die erste 
; Angabe ist die ID - ich glaube, dass Ihr euch schon daran gewhnt habt, denn das 
; kommt berall vor, sei es loadsprite, loadmovie, loadsound oder openwindow etc.
; Die zweite Angabe ist der Pfad, worin die Datei gespeichert werden soll - in unserem
; Fall auf C: .

; WriteStringN(TEXT) wird benutzt, um verschiedene Zeichen in Dateien zu speichern.
; Das N deutet auf einen Zeilenumbruch am Ende des Satzes. Mit Zeichen meine ich
; "a!bcd3#l" etc. Alle Ascii-Zeichen, grob ausgedrckt: man kann "Buchstaben
; und Sonderzeichen" speichern.

; WriteString(TEXT) genau wie WriteStringN, nur ohne Zeilenumbruch.

; CloseFile(FileID) schliet die geffnete Datei - jedoch muss dieser Befehl nicht 
; unbedingt angegeben werden, da PureBasic sie am Programmende auch automatisch 
; schliet.


; Jetzt wissen wir, wie man Dateien mit Text speichert. Nur wie sollen wir solche 
; Dateien lesen?
; Das zeige ich Euch im nchsten Tutorial, also pbtutorial nicht lschen!

; CU
; Bluespeed


; 05. Juli 2003: berarbeitete Sprache und Layout by Andr Beer - exklusiv fr www.purearea.net


; ExecutableFormat=Windows
; FirstLine=1
; EOF